Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members Related Pages

# GUIDrawInterfaceI Class Reference

GUI Draw Interface. More...

`#include <GUIDrawInterfaceI.h>`

Inheritance diagram for GUIDrawInterfaceI:

List of all members.

## Public Member Functions
virtual PluginClass::SuperClassIdC | get_super_class_id () const
| Returns super class ID.
virtual PajaTypes::uint32 | save (FileIO::SaveC *pSave)
| Serialize device settings to a Demopaja output stream.
virtual PajaTypes::uint32 | load (FileIO::LoadC *pLoad)
| Serialize device settings from a Demopaja input stream.
virtual void | draw_layout (const PajaTypes::ColorC &rLayout)=0
| Draws the layout rectangle.
virtual void | begin_layout ()=0
| Begins a layout drawing block.
virtual void | end_layout ()=0
| Ends a layout drawing block.
virtual void | use_font (HFONT hFont)=0
| Uses specified font.
virtual void | draw_text (const PajaTypes::Vector2C &rPos, const char *szText)=0
| Draws text using current font.
virtual void | set_color (const PajaTypes::ColorC &rColor)=0
| Sets current draw color.
virtual void | set_point_size (PajaTypes::float32 f32Size)=0
| Sets current point size.
virtual void | draw_line (const PajaTypes::Vector2C &rFrom, const PajaTypes::Vector2C &rTo)=0
| Draws a line.
virtual void | draw_point (const PajaTypes::Vector2C &rPos)=0
| Draws a point.
virtual void | draw_grid (PajaTypes::float32 f32Width, PajaTypes::float32 f32Height, PajaTypes::float32 f32GridSize)=0
| Draws grid to based on latest draw layout call and grid size.
virtual void | draw_selection_box (const PajaTypes::Vector2C &rMin, const PajaTypes::Vector2C &rMax)=0
| Draws selection box.
virtual void | draw_box (const PajaTypes::Vector2C &rMin, const PajaTypes::Vector2C &rMax)=0
| Draw a box.
virtual void | draw_marker (const PajaTypes::Vector2C &rPos, PajaTypes::float32 f32Size)=0
| Draws a marker.

## Detailed Description

GUI Draw Interface.

Graphics User Interface Draw interface is used to abstract the rendering of the GUI items in the Layout View. This class provides a set of basic drawing methods, such as line drawing, to draw the GUI.

## Member Function Documentation

virtual void begin_layout | ( |  | ) | `[pure virtual]`

| Begins a layout drawing block.

virtual void draw_box | ( | const PajaTypes::Vector2C & | rMin,
|  | const PajaTypes::Vector2C & | rMax
| ) | `[pure virtual]`

| Draw a box.

virtual void draw_grid | ( | PajaTypes::float32 | f32Width,
|  | PajaTypes::float32 | f32Height,
|  | PajaTypes::float32 | f32GridSize
| ) | `[pure virtual]`

| Draws grid to based on latest draw layout call and grid size.

virtual void draw_layout | ( | const PajaTypes::ColorC & | rLayout | ) | `[pure virtual]`

| Draws the layout rectangle.

virtual void draw_line | ( | const PajaTypes::Vector2C & | rFrom,
|  | const PajaTypes::Vector2C & | rTo
| ) | `[pure virtual]`

| Draws a line.

virtual void draw_marker | ( | const PajaTypes::Vector2C & | rPos,
|  | PajaTypes::float32 | f32Size
| ) | `[pure virtual]`

| Draws a marker.

virtual void draw_point | ( | const PajaTypes::Vector2C & | rPos | ) | `[pure virtual]`

| Draws a point.

virtual void draw_selection_box | ( | const PajaTypes::Vector2C & | rMin,
|  | const PajaTypes::Vector2C & | rMax
| ) | `[pure virtual]`

| Draws selection box.

virtual void draw_text | ( | const PajaTypes::Vector2C & | rPos,
|  | const char * | szText
| ) | `[pure virtual]`

| Draws text using current font.

virtual void end_layout | ( |  | ) | `[pure virtual]`

| Ends a layout drawing block.

virtual PluginClass::SuperClassIdC get_super_class_id | ( |  | ) | const`[virtual]`

| Returns super class ID. Implements DeviceInterfaceI.

virtual PajaTypes::uint32 load | ( | FileIO::LoadC * | pLoad | ) | `[virtual]`

| Serialize device settings from a Demopaja input stream. Implements DeviceInterfaceI.

virtual PajaTypes::uint32 save | ( | FileIO::SaveC * | pSave | ) | `[virtual]`

| Serialize device settings to a Demopaja output stream. Implements DeviceInterfaceI.

virtual void set_color | ( | const PajaTypes::ColorC & | rColor | ) | `[pure virtual]`

| Sets current draw color.

virtual void set_point_size | ( | PajaTypes::float32 | f32Size | ) | `[pure virtual]`

| Sets current point size.

virtual void use_font | ( | HFONT | hFont | ) | `[pure virtual]`

| Uses specified font.